Exportar transcripción del proyecto
curl --request POST \
--url https://api.voicecheap.ai/v1/projects/{projectId}/transcript \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"source": "<string>",
"targetLanguage": "<string>",
"outputFormat": "<string>",
"includeSpeakerLabels": true
}
'import requests
url = "https://api.voicecheap.ai/v1/projects/{projectId}/transcript"
payload = {
"source": "<string>",
"targetLanguage": "<string>",
"outputFormat": "<string>",
"includeSpeakerLabels": True
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: '<string>',
targetLanguage: '<string>',
outputFormat: '<string>',
includeSpeakerLabels: true
})
};
fetch('https://api.voicecheap.ai/v1/projects/{projectId}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Transcripción
Exportar transcripción del proyecto
Recupere una transcripción de proyecto original o traducida como JSON, SRT o VTT
Exportar transcripción del proyecto
Exportar transcripción del proyecto
Recupere una transcripción de un proyecto VoiceCheap existente sin utilizar puntos finales de aplicaciones web internas. El punto final admite la transcripción de origen y cada transcripción de idioma de destino disponible. Las solicitudes exitosas devuelven HTTP200.
Solicitud
string
requerido
Su clave API de VoiceCheap.
string
requerido
Identificador de proyecto devuelto por Crear proyecto o Iniciar traducción.
string
requerido
original o translated.string
Requerido cuando
source es translated. Utilice el nombre del idioma de destino almacenado en el proyecto, como french.string
predeterminado:"json"
json, srt o vtt.boolean
predeterminado:"false"
Incluya etiquetas de hablante visibles en SRT o VTT. JSON siempre incluye números de hablante.
Ejemplos
cURL — Original JSON
curl -X POST "https://api.voicecheap.ai/v1/projects/project_123/transcript" \
-H "x-api-key: vc_your-api-key" \
-H "Content-Type: application/json" \
-d '{
"source": "original",
"outputFormat": "json"
}'
cURL — Translated SRT
curl -X POST "https://api.voicecheap.ai/v1/projects/project_123/transcript" \
-H "x-api-key: vc_your-api-key" \
-H "Content-Type: application/json" \
-d '{
"source": "translated",
"targetLanguage": "french",
"outputFormat": "srt",
"includeSpeakerLabels": true
}' \
--output project_123-fr.srt
workId para la salida traducida.
Errores
| Estado | Código | Descripción |
|---|---|---|
| 400 | TARGET_LANGUAGE_REQUIRED | Se solicitó la salida traducida sin un idioma |
| 401 | INVALID_API_KEY | La clave API falta o no es válida |
| 403 | FORBIDDEN | La clave API no puede acceder a este proyecto |
| 404 | PROJECT_NOT_FOUND | El proyecto no existe |
| 404 | TRANSCRIPT_NOT_FOUND | La transcripción original o traducida solicitada no está presente |
| 409 | TRANSCRIPT_NOT_READY | La transcripción solicitada aún se está procesando |
¿Esta página le ayudó?

